Subversion Repositories Kolibri OS

Rev

Blame | Last modification | View Log | RSS feed

  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # @configure_input@
  3.  
  4. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  5.  
  6. # This Makefile.in is free software; the Free Software Foundation
  7. # gives unlimited permission to copy and/or distribute it,
  8. # with or without modifications, as long as this notice is preserved.
  9.  
  10. # This program is distributed in the hope that it will be useful,
  11. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  12. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  13. # PARTICULAR PURPOSE.
  14.  
  15. @SET_MAKE@
  16.  
  17. # Provide compatibility with scripts for the old Mesa build system for
  18. # a while by putting a link to the driver into /lib of the build tree.
  19.  
  20.  
  21.  
  22. VPATH = @srcdir@
  23. am__is_gnu_make = { \
  24.   if test -z '$(MAKELEVEL)'; then \
  25.     false; \
  26.   elif test -n '$(MAKE_HOST)'; then \
  27.     true; \
  28.   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  29.     true; \
  30.   else \
  31.     false; \
  32.   fi; \
  33. }
  34. am__make_running_with_option = \
  35.   case $${target_option-} in \
  36.       ?) ;; \
  37.       *) echo "am__make_running_with_option: internal error: invalid" \
  38.               "target option '$${target_option-}' specified" >&2; \
  39.          exit 1;; \
  40.   esac; \
  41.   has_opt=no; \
  42.   sane_makeflags=$$MAKEFLAGS; \
  43.   if $(am__is_gnu_make); then \
  44.     sane_makeflags=$$MFLAGS; \
  45.   else \
  46.     case $$MAKEFLAGS in \
  47.       *\\[\ \   ]*) \
  48.         bs=\\; \
  49.         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  50.           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
  51.     esac; \
  52.   fi; \
  53.   skip_next=no; \
  54.   strip_trailopt () \
  55.   { \
  56.     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  57.   }; \
  58.   for flg in $$sane_makeflags; do \
  59.     test $$skip_next = yes && { skip_next=no; continue; }; \
  60.     case $$flg in \
  61.       *=*|--*) continue;; \
  62.         -*I) strip_trailopt 'I'; skip_next=yes;; \
  63.       -*I?*) strip_trailopt 'I';; \
  64.         -*O) strip_trailopt 'O'; skip_next=yes;; \
  65.       -*O?*) strip_trailopt 'O';; \
  66.         -*l) strip_trailopt 'l'; skip_next=yes;; \
  67.       -*l?*) strip_trailopt 'l';; \
  68.       -[dEDm]) skip_next=yes;; \
  69.       -[JT]) skip_next=yes;; \
  70.     esac; \
  71.     case $$flg in \
  72.       *$$target_option*) has_opt=yes; break;; \
  73.     esac; \
  74.   done; \
  75.   test $$has_opt = yes
  76. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  77. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  78. pkgdatadir = $(datadir)/@PACKAGE@
  79. pkgincludedir = $(includedir)/@PACKAGE@
  80. pkglibdir = $(libdir)/@PACKAGE@
  81. pkglibexecdir = $(libexecdir)/@PACKAGE@
  82. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  83. install_sh_DATA = $(install_sh) -c -m 644
  84. install_sh_PROGRAM = $(install_sh) -c
  85. install_sh_SCRIPT = $(install_sh) -c
  86. INSTALL_HEADER = $(INSTALL_DATA)
  87. transform = $(program_transform_name)
  88. NORMAL_INSTALL = :
  89. PRE_INSTALL = :
  90. POST_INSTALL = :
  91. NORMAL_UNINSTALL = :
  92. PRE_UNINSTALL = :
  93. POST_UNINSTALL = :
  94. build_triplet = @build@
  95. host_triplet = @host@
  96. target_triplet = @target@
  97. subdir = src/egl/wayland/wayland-egl
  98. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  99. am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_gnu_make.m4 \
  100.         $(top_srcdir)/m4/ax_check_python_mako_module.m4 \
  101.         $(top_srcdir)/m4/ax_gcc_builtin.m4 \
  102.         $(top_srcdir)/m4/ax_gcc_func_attribute.m4 \
  103.         $(top_srcdir)/m4/ax_prog_bison.m4 \
  104.         $(top_srcdir)/m4/ax_prog_flex.m4 \
  105.         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/libtool.m4 \
  106.         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  107.         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  108.         $(top_srcdir)/VERSION $(top_srcdir)/configure.ac
  109. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  110.         $(ACLOCAL_M4)
  111. DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
  112.         $(am__DIST_COMMON)
  113. mkinstalldirs = $(install_sh) -d
  114. CONFIG_CLEAN_FILES = wayland-egl.pc
  115. CONFIG_CLEAN_VPATH_FILES =
  116. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  117. am__vpath_adj = case $$p in \
  118.     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  119.     *) f=$$p;; \
  120.   esac;
  121. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  122. am__install_max = 40
  123. am__nobase_strip_setup = \
  124.   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  125. am__nobase_strip = \
  126.   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  127. am__nobase_list = $(am__nobase_strip_setup); \
  128.   for p in $$list; do echo "$$p $$p"; done | \
  129.   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  130.   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  131.     if (++n[$$2] == $(am__install_max)) \
  132.       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  133.     END { for (dir in files) print dir, files[dir] }'
  134. am__base_list = \
  135.   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  136.   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  137. am__uninstall_files_from_dir = { \
  138.   test -z "$$files" \
  139.     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  140.     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  141.          $(am__cd) "$$dir" && rm -f $$files; }; \
  142.   }
  143. am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)"
  144. LTLIBRARIES = $(lib_LTLIBRARIES)
  145. libwayland_egl_la_LIBADD =
  146. am_libwayland_egl_la_OBJECTS = wayland-egl.lo
  147. libwayland_egl_la_OBJECTS = $(am_libwayland_egl_la_OBJECTS)
  148. AM_V_lt = $(am__v_lt_@AM_V@)
  149. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  150. am__v_lt_0 = --silent
  151. am__v_lt_1 =
  152. libwayland_egl_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  153.         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  154.         $(AM_CFLAGS) $(CFLAGS) $(libwayland_egl_la_LDFLAGS) $(LDFLAGS) \
  155.         -o $@
  156. AM_V_P = $(am__v_P_@AM_V@)
  157. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  158. am__v_P_0 = false
  159. am__v_P_1 = :
  160. AM_V_GEN = $(am__v_GEN_@AM_V@)
  161. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  162. am__v_GEN_0 = @echo "  GEN     " $@;
  163. am__v_GEN_1 =
  164. AM_V_at = $(am__v_at_@AM_V@)
  165. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  166. am__v_at_0 = @
  167. am__v_at_1 =
  168. DEFAULT_INCLUDES = -I.@am__isrc@
  169. depcomp = $(SHELL) $(top_srcdir)/bin/depcomp
  170. am__depfiles_maybe = depfiles
  171. am__mv = mv -f
  172. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  173.         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  174. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  175.         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  176.         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  177.         $(AM_CFLAGS) $(CFLAGS)
  178. AM_V_CC = $(am__v_CC_@AM_V@)
  179. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  180. am__v_CC_0 = @echo "  CC      " $@;
  181. am__v_CC_1 =
  182. CCLD = $(CC)
  183. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  184.         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  185.         $(AM_LDFLAGS) $(LDFLAGS) -o $@
  186. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  187. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  188. am__v_CCLD_0 = @echo "  CCLD    " $@;
  189. am__v_CCLD_1 =
  190. SOURCES = $(libwayland_egl_la_SOURCES)
  191. DIST_SOURCES = $(libwayland_egl_la_SOURCES)
  192. am__can_run_installinfo = \
  193.   case $$AM_UPDATE_INFO_DIR in \
  194.     n|no|NO) false;; \
  195.     *) (install-info --version) >/dev/null 2>&1;; \
  196.   esac
  197. DATA = $(pkgconfig_DATA)
  198. HEADERS = $(noinst_HEADERS)
  199. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  200. # Read a list of newline-separated strings from the standard input,
  201. # and print each of them once, without duplicates.  Input order is
  202. # *not* preserved.
  203. am__uniquify_input = $(AWK) '\
  204.   BEGIN { nonempty = 0; } \
  205.   { items[$$0] = 1; nonempty = 1; } \
  206.   END { if (nonempty) { for (i in items) print i; }; } \
  207. '
  208. # Make sure the list of sources is unique.  This is necessary because,
  209. # e.g., the same source file might be shared among _SOURCES variables
  210. # for different programs/libraries.
  211. am__define_uniq_tagged_files = \
  212.   list='$(am__tagged_files)'; \
  213.   unique=`for i in $$list; do \
  214.     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  215.   done | $(am__uniquify_input)`
  216. ETAGS = etags
  217. CTAGS = ctags
  218. am__tty_colors_dummy = \
  219.   mgn= red= grn= lgn= blu= brg= std=; \
  220.   am__color_tests=no
  221. am__tty_colors = { \
  222.   $(am__tty_colors_dummy); \
  223.   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  224.     am__color_tests=no; \
  225.   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  226.     am__color_tests=yes; \
  227.   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  228.     am__color_tests=yes; \
  229.   fi; \
  230.   if test $$am__color_tests = yes; then \
  231.     red=''; \
  232.     grn=''; \
  233.     lgn=''; \
  234.     blu=''; \
  235.     mgn=''; \
  236.     brg=''; \
  237.     std=''; \
  238.   fi; \
  239. }
  240. am__recheck_rx = ^[     ]*:recheck:[    ]*
  241. am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
  242. am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
  243. # A command that, given a newline-separated list of test names on the
  244. # standard input, print the name of the tests that are to be re-run
  245. # upon "make recheck".
  246. am__list_recheck_tests = $(AWK) '{ \
  247.   recheck = 1; \
  248.   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  249.     { \
  250.       if (rc < 0) \
  251.         { \
  252.           if ((getline line2 < ($$0 ".log")) < 0) \
  253.             recheck = 0; \
  254.           break; \
  255.         } \
  256.       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  257.         { \
  258.           recheck = 0; \
  259.           break; \
  260.         } \
  261.       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  262.         { \
  263.           break; \
  264.         } \
  265.     }; \
  266.   if (recheck) \
  267.     print $$0; \
  268.   close ($$0 ".trs"); \
  269.   close ($$0 ".log"); \
  270. }'
  271. # A command that, given a newline-separated list of test names on the
  272. # standard input, create the global log from their .trs and .log files.
  273. am__create_global_log = $(AWK) ' \
  274. function fatal(msg) \
  275. { \
  276.   print "fatal: making $@: " msg | "cat >&2"; \
  277.   exit 1; \
  278. } \
  279. function rst_section(header) \
  280. { \
  281.   print header; \
  282.   len = length(header); \
  283.   for (i = 1; i <= len; i = i + 1) \
  284.     printf "="; \
  285.   printf "\n\n"; \
  286. } \
  287. { \
  288.   copy_in_global_log = 1; \
  289.   global_test_result = "RUN"; \
  290.   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  291.     { \
  292.       if (rc < 0) \
  293.          fatal("failed to read from " $$0 ".trs"); \
  294.       if (line ~ /$(am__global_test_result_rx)/) \
  295.         { \
  296.           sub("$(am__global_test_result_rx)", "", line); \
  297.           sub("[        ]*$$", "", line); \
  298.           global_test_result = line; \
  299.         } \
  300.       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  301.         copy_in_global_log = 0; \
  302.     }; \
  303.   if (copy_in_global_log) \
  304.     { \
  305.       rst_section(global_test_result ": " $$0); \
  306.       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  307.       { \
  308.         if (rc < 0) \
  309.           fatal("failed to read from " $$0 ".log"); \
  310.         print line; \
  311.       }; \
  312.       printf "\n"; \
  313.     }; \
  314.   close ($$0 ".trs"); \
  315.   close ($$0 ".log"); \
  316. }'
  317. # Restructured Text title.
  318. am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  319. # Solaris 10 'make', and several other traditional 'make' implementations,
  320. # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  321. # by disabling -e (using the XSI extension "set +e") if it's set.
  322. am__sh_e_setup = case $$- in *e*) set +e;; esac
  323. # Default flags passed to test drivers.
  324. am__common_driver_flags = \
  325.   --color-tests "$$am__color_tests" \
  326.   --enable-hard-errors "$$am__enable_hard_errors" \
  327.   --expect-failure "$$am__expect_failure"
  328. # To be inserted before the command running the test.  Creates the
  329. # directory for the log if needed.  Stores in $dir the directory
  330. # containing $f, in $tst the test, in $log the log.  Executes the
  331. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  332. # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  333. # will run the test scripts (or their associated LOG_COMPILER, if
  334. # thy have one).
  335. am__check_pre = \
  336. $(am__sh_e_setup);                                      \
  337. $(am__vpath_adj_setup) $(am__vpath_adj)                 \
  338. $(am__tty_colors);                                      \
  339. srcdir=$(srcdir); export srcdir;                        \
  340. case "$@" in                                            \
  341.   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
  342.     *) am__odir=.;;                                     \
  343. esac;                                                   \
  344. test "x$$am__odir" = x"." || test -d "$$am__odir"       \
  345.   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
  346. if test -f "./$$f"; then dir=./;                        \
  347. elif test -f "$$f"; then dir=;                          \
  348. else dir="$(srcdir)/"; fi;                              \
  349. tst=$$dir$$f; log='$@';                                 \
  350. if test -n '$(DISABLE_HARD_ERRORS)'; then               \
  351.   am__enable_hard_errors=no;                            \
  352. else                                                    \
  353.   am__enable_hard_errors=yes;                           \
  354. fi;                                                     \
  355. case " $(XFAIL_TESTS) " in                              \
  356.   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
  357.     am__expect_failure=yes;;                            \
  358.   *)                                                    \
  359.     am__expect_failure=no;;                             \
  360. esac;                                                   \
  361. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  362. # A shell command to get the names of the tests scripts with any registered
  363. # extension removed (i.e., equivalently, the names of the test logs, with
  364. # the '.log' extension removed).  The result is saved in the shell variable
  365. # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  366. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  367. # since that might cause problem with VPATH rewrites for suffix-less tests.
  368. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  369. am__set_TESTS_bases = \
  370.   bases='$(TEST_LOGS)'; \
  371.   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  372.   bases=`echo $$bases`
  373. RECHECK_LOGS = $(TEST_LOGS)
  374. AM_RECURSIVE_TARGETS = check recheck
  375. TEST_SUITE_LOG = test-suite.log
  376. TEST_EXTENSIONS = @EXEEXT@ .test
  377. LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
  378. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  379. am__set_b = \
  380.   case '$@' in \
  381.     */*) \
  382.       case '$*' in \
  383.         */*) b='$*';; \
  384.           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  385.        esac;; \
  386.     *) \
  387.       b='$*';; \
  388.   esac
  389. am__test_logs1 = $(TESTS:=.log)
  390. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  391. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  392. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
  393. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  394.         $(TEST_LOG_FLAGS)
  395. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/wayland-egl.pc.in \
  396.         $(top_srcdir)/bin/depcomp $(top_srcdir)/bin/test-driver \
  397.         $(top_srcdir)/install-lib-links.mk
  398. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  399. ACLOCAL = @ACLOCAL@
  400. AMTAR = @AMTAR@
  401. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  402. AR = @AR@
  403. AUTOCONF = @AUTOCONF@
  404. AUTOHEADER = @AUTOHEADER@
  405. AUTOMAKE = @AUTOMAKE@
  406. AWK = @AWK@
  407. BSYMBOLIC = @BSYMBOLIC@
  408. CC = @CC@
  409. CCAS = @CCAS@
  410. CCASDEPMODE = @CCASDEPMODE@
  411. CCASFLAGS = @CCASFLAGS@
  412. CCDEPMODE = @CCDEPMODE@
  413. CFLAGS = @CFLAGS@
  414. CLANG_RESOURCE_DIR = @CLANG_RESOURCE_DIR@
  415. CLOCK_LIB = @CLOCK_LIB@
  416. CPP = @CPP@
  417. CPPFLAGS = @CPPFLAGS@
  418. CXX = @CXX@
  419. CXXCPP = @CXXCPP@
  420. CXXDEPMODE = @CXXDEPMODE@
  421. CXXFLAGS = @CXXFLAGS@
  422. CYGPATH_W = @CYGPATH_W@
  423. D3D_DRIVER_INSTALL_DIR = @D3D_DRIVER_INSTALL_DIR@
  424. DEFINES = @DEFINES@
  425. DEFS = @DEFS@
  426. DEPDIR = @DEPDIR@
  427. DLLTOOL = @DLLTOOL@
  428. DLOPEN_LIBS = @DLOPEN_LIBS@
  429. DRI2PROTO_CFLAGS = @DRI2PROTO_CFLAGS@
  430. DRI2PROTO_LIBS = @DRI2PROTO_LIBS@
  431. DRI3PROTO_CFLAGS = @DRI3PROTO_CFLAGS@
  432. DRI3PROTO_LIBS = @DRI3PROTO_LIBS@
  433. DRIGL_CFLAGS = @DRIGL_CFLAGS@
  434. DRIGL_LIBS = @DRIGL_LIBS@
  435. DRI_DRIVER_INSTALL_DIR = @DRI_DRIVER_INSTALL_DIR@
  436. DRI_DRIVER_SEARCH_DIR = @DRI_DRIVER_SEARCH_DIR@
  437. DRI_LIB_DEPS = @DRI_LIB_DEPS@
  438. DRI_PC_REQ_PRIV = @DRI_PC_REQ_PRIV@
  439. DSYMUTIL = @DSYMUTIL@
  440. DUMPBIN = @DUMPBIN@
  441. ECHO_C = @ECHO_C@
  442. ECHO_N = @ECHO_N@
  443. ECHO_T = @ECHO_T@
  444. EGL_CFLAGS = @EGL_CFLAGS@
  445. EGL_CLIENT_APIS = @EGL_CLIENT_APIS@
  446. EGL_LIB_DEPS = @EGL_LIB_DEPS@
  447. EGL_NATIVE_PLATFORM = @EGL_NATIVE_PLATFORM@
  448. EGREP = @EGREP@
  449. ELF_LIB = @ELF_LIB@
  450. EXEEXT = @EXEEXT@
  451. EXPAT_CFLAGS = @EXPAT_CFLAGS@
  452. EXPAT_LIBS = @EXPAT_LIBS@
  453. FGREP = @FGREP@
  454. FREEDRENO_CFLAGS = @FREEDRENO_CFLAGS@
  455. FREEDRENO_LIBS = @FREEDRENO_LIBS@
  456. GALLIUM_PIPE_LOADER_CLIENT_DEFINES = @GALLIUM_PIPE_LOADER_CLIENT_DEFINES@
  457. GALLIUM_PIPE_LOADER_CLIENT_LIBS = @GALLIUM_PIPE_LOADER_CLIENT_LIBS@
  458. GALLIUM_PIPE_LOADER_DEFINES = @GALLIUM_PIPE_LOADER_DEFINES@
  459. GALLIUM_PIPE_LOADER_LIBS = @GALLIUM_PIPE_LOADER_LIBS@
  460. GALLIUM_PIPE_LOADER_XCB_CFLAGS = @GALLIUM_PIPE_LOADER_XCB_CFLAGS@
  461. GALLIUM_PIPE_LOADER_XCB_LIBS = @GALLIUM_PIPE_LOADER_XCB_LIBS@
  462. GBM_PC_LIB_PRIV = @GBM_PC_LIB_PRIV@
  463. GBM_PC_REQ_PRIV = @GBM_PC_REQ_PRIV@
  464. GC_SECTIONS = @GC_SECTIONS@
  465. GLESv1_CM_LIB_DEPS = @GLESv1_CM_LIB_DEPS@
  466. GLESv1_CM_PC_LIB_PRIV = @GLESv1_CM_PC_LIB_PRIV@
  467. GLESv2_LIB_DEPS = @GLESv2_LIB_DEPS@
  468. GLESv2_PC_LIB_PRIV = @GLESv2_PC_LIB_PRIV@
  469. GLPROTO_CFLAGS = @GLPROTO_CFLAGS@
  470. GLPROTO_LIBS = @GLPROTO_LIBS@
  471. GLX_TLS = @GLX_TLS@
  472. GL_LIB = @GL_LIB@
  473. GL_LIB_DEPS = @GL_LIB_DEPS@
  474. GL_PC_CFLAGS = @GL_PC_CFLAGS@
  475. GL_PC_LIB_PRIV = @GL_PC_LIB_PRIV@
  476. GL_PC_REQ_PRIV = @GL_PC_REQ_PRIV@
  477. GREP = @GREP@
  478. HAVE_XF86VIDMODE = @HAVE_XF86VIDMODE@
  479. INDENT = @INDENT@
  480. INDENT_FLAGS = @INDENT_FLAGS@
  481. INSTALL = @INSTALL@
  482. INSTALL_DATA = @INSTALL_DATA@
  483. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  484. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  485. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  486. INTEL_CFLAGS = @INTEL_CFLAGS@
  487. INTEL_LIBS = @INTEL_LIBS@
  488. LD = @LD@
  489. LDFLAGS = @LDFLAGS@
  490. LD_NO_UNDEFINED = @LD_NO_UNDEFINED@
  491. LEX = @LEX@
  492. LEXLIB = @LEXLIB@
  493. LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  494. LIBCLC_INCLUDEDIR = @LIBCLC_INCLUDEDIR@
  495. LIBCLC_LIBEXECDIR = @LIBCLC_LIBEXECDIR@
  496. LIBDRM_CFLAGS = @LIBDRM_CFLAGS@
  497. LIBDRM_LIBS = @LIBDRM_LIBS@
  498. LIBOBJS = @LIBOBJS@
  499. LIBS = @LIBS@
  500. LIBSHA1_CFLAGS = @LIBSHA1_CFLAGS@
  501. LIBSHA1_LIBS = @LIBSHA1_LIBS@
  502. LIBTOOL = @LIBTOOL@
  503. LIBUDEV_CFLAGS = @LIBUDEV_CFLAGS@
  504. LIBUDEV_LIBS = @LIBUDEV_LIBS@
  505. LIB_DIR = @LIB_DIR@
  506. LIB_EXT = @LIB_EXT@
  507. LIPO = @LIPO@
  508. LLVM_BINDIR = @LLVM_BINDIR@
  509. LLVM_CFLAGS = @LLVM_CFLAGS@
  510. LLVM_CONFIG = @LLVM_CONFIG@
  511. LLVM_CPPFLAGS = @LLVM_CPPFLAGS@
  512. LLVM_CXXFLAGS = @LLVM_CXXFLAGS@
  513. LLVM_INCLUDEDIR = @LLVM_INCLUDEDIR@
  514. LLVM_LDFLAGS = @LLVM_LDFLAGS@
  515. LLVM_LIBDIR = @LLVM_LIBDIR@
  516. LLVM_LIBS = @LLVM_LIBS@
  517. LLVM_VERSION = @LLVM_VERSION@
  518. LN_S = @LN_S@
  519. LTLIBOBJS = @LTLIBOBJS@
  520. LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  521. MAKEINFO = @MAKEINFO@
  522. MANIFEST_TOOL = @MANIFEST_TOOL@
  523. MESA_LLVM = @MESA_LLVM@
  524. MKDIR_P = @MKDIR_P@
  525. MSVC2008_COMPAT_CFLAGS = @MSVC2008_COMPAT_CFLAGS@
  526. MSVC2008_COMPAT_CXXFLAGS = @MSVC2008_COMPAT_CXXFLAGS@
  527. MSVC2013_COMPAT_CFLAGS = @MSVC2013_COMPAT_CFLAGS@
  528. MSVC2013_COMPAT_CXXFLAGS = @MSVC2013_COMPAT_CXXFLAGS@
  529. NINE_MAJOR = @NINE_MAJOR@
  530. NINE_MINOR = @NINE_MINOR@
  531. NINE_TINY = @NINE_TINY@
  532. NINE_VERSION = @NINE_VERSION@
  533. NM = @NM@
  534. NMEDIT = @NMEDIT@
  535. NOUVEAU_CFLAGS = @NOUVEAU_CFLAGS@
  536. NOUVEAU_LIBS = @NOUVEAU_LIBS@
  537. OBJDUMP = @OBJDUMP@
  538. OBJEXT = @OBJEXT@
  539. OMX_CFLAGS = @OMX_CFLAGS@
  540. OMX_LIBS = @OMX_LIBS@
  541. OMX_LIB_INSTALL_DIR = @OMX_LIB_INSTALL_DIR@
  542. OPENCL_LIBNAME = @OPENCL_LIBNAME@
  543. OPENSSL_CFLAGS = @OPENSSL_CFLAGS@
  544. OPENSSL_LIBS = @OPENSSL_LIBS@
  545. OSMESA_LIB = @OSMESA_LIB@
  546. OSMESA_LIB_DEPS = @OSMESA_LIB_DEPS@
  547. OSMESA_PC_LIB_PRIV = @OSMESA_PC_LIB_PRIV@
  548. OSMESA_PC_REQ = @OSMESA_PC_REQ@
  549. OSMESA_VERSION = @OSMESA_VERSION@
  550. OTOOL = @OTOOL@
  551. OTOOL64 = @OTOOL64@
  552. PACKAGE = @PACKAGE@
  553. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  554. PACKAGE_NAME = @PACKAGE_NAME@
  555. PACKAGE_STRING = @PACKAGE_STRING@
  556. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  557. PACKAGE_URL = @PACKAGE_URL@
  558. PACKAGE_VERSION = @PACKAGE_VERSION@
  559. PATH_SEPARATOR = @PATH_SEPARATOR@
  560. PKG_CONFIG = @PKG_CONFIG@
  561. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  562. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  563. POSIX_SHELL = @POSIX_SHELL@
  564. PRESENTPROTO_CFLAGS = @PRESENTPROTO_CFLAGS@
  565. PRESENTPROTO_LIBS = @PRESENTPROTO_LIBS@
  566. PTHREAD_CC = @PTHREAD_CC@
  567. PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
  568. PTHREAD_LIBS = @PTHREAD_LIBS@
  569. PYTHON2 = @PYTHON2@
  570. RADEON_CFLAGS = @RADEON_CFLAGS@
  571. RADEON_LIBS = @RADEON_LIBS@
  572. RANLIB = @RANLIB@
  573. SED = @SED@
  574. SELINUX_CFLAGS = @SELINUX_CFLAGS@
  575. SELINUX_LIBS = @SELINUX_LIBS@
  576. SET_MAKE = @SET_MAKE@
  577. SHA1_CFLAGS = @SHA1_CFLAGS@
  578. SHA1_LIBS = @SHA1_LIBS@
  579. SHELL = @SHELL@
  580. SSE41_CFLAGS = @SSE41_CFLAGS@
  581. STRIP = @STRIP@
  582. VA_CFLAGS = @VA_CFLAGS@
  583. VA_LIBS = @VA_LIBS@
  584. VA_LIB_INSTALL_DIR = @VA_LIB_INSTALL_DIR@
  585. VA_MAJOR = @VA_MAJOR@
  586. VA_MINOR = @VA_MINOR@
  587. VDPAU_CFLAGS = @VDPAU_CFLAGS@
  588. VDPAU_LIBS = @VDPAU_LIBS@
  589. VDPAU_LIB_INSTALL_DIR = @VDPAU_LIB_INSTALL_DIR@
  590. VDPAU_MAJOR = @VDPAU_MAJOR@
  591. VDPAU_MINOR = @VDPAU_MINOR@
  592. VERSION = @VERSION@
  593. VG_LIB_DEPS = @VG_LIB_DEPS@
  594. VISIBILITY_CFLAGS = @VISIBILITY_CFLAGS@
  595. VISIBILITY_CXXFLAGS = @VISIBILITY_CXXFLAGS@
  596. VL_CFLAGS = @VL_CFLAGS@
  597. VL_LIBS = @VL_LIBS@
  598. WAYLAND_CFLAGS = @WAYLAND_CFLAGS@
  599. WAYLAND_LIBS = @WAYLAND_LIBS@
  600. WAYLAND_SCANNER = @WAYLAND_SCANNER@
  601. WAYLAND_SCANNER_CFLAGS = @WAYLAND_SCANNER_CFLAGS@
  602. WAYLAND_SCANNER_LIBS = @WAYLAND_SCANNER_LIBS@
  603. X11_INCLUDES = @X11_INCLUDES@
  604. XA_MAJOR = @XA_MAJOR@
  605. XA_MINOR = @XA_MINOR@
  606. XA_TINY = @XA_TINY@
  607. XA_VERSION = @XA_VERSION@
  608. XCB_DRI2_CFLAGS = @XCB_DRI2_CFLAGS@
  609. XCB_DRI2_LIBS = @XCB_DRI2_LIBS@
  610. XF86VIDMODE_CFLAGS = @XF86VIDMODE_CFLAGS@
  611. XF86VIDMODE_LIBS = @XF86VIDMODE_LIBS@
  612. XLIBGL_CFLAGS = @XLIBGL_CFLAGS@
  613. XLIBGL_LIBS = @XLIBGL_LIBS@
  614. XVMC_CFLAGS = @XVMC_CFLAGS@
  615. XVMC_LIBS = @XVMC_LIBS@
  616. XVMC_LIB_INSTALL_DIR = @XVMC_LIB_INSTALL_DIR@
  617. XVMC_MAJOR = @XVMC_MAJOR@
  618. XVMC_MINOR = @XVMC_MINOR@
  619. YACC = @YACC@
  620. YFLAGS = @YFLAGS@
  621. abs_builddir = @abs_builddir@
  622. abs_srcdir = @abs_srcdir@
  623. abs_top_builddir = @abs_top_builddir@
  624. abs_top_srcdir = @abs_top_srcdir@
  625. ac_ct_AR = @ac_ct_AR@
  626. ac_ct_CC = @ac_ct_CC@
  627. ac_ct_CXX = @ac_ct_CXX@
  628. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  629. acv_mako_found = @acv_mako_found@
  630. am__include = @am__include@
  631. am__leading_dot = @am__leading_dot@
  632. am__quote = @am__quote@
  633. am__tar = @am__tar@
  634. am__untar = @am__untar@
  635. ax_pthread_config = @ax_pthread_config@
  636. bindir = @bindir@
  637. build = @build@
  638. build_alias = @build_alias@
  639. build_cpu = @build_cpu@
  640. build_os = @build_os@
  641. build_vendor = @build_vendor@
  642. builddir = @builddir@
  643. datadir = @datadir@
  644. datarootdir = @datarootdir@
  645. docdir = @docdir@
  646. dvidir = @dvidir@
  647. exec_prefix = @exec_prefix@
  648. host = @host@
  649. host_alias = @host_alias@
  650. host_cpu = @host_cpu@
  651. host_os = @host_os@
  652. host_vendor = @host_vendor@
  653. htmldir = @htmldir@
  654. ifGNUmake = @ifGNUmake@
  655. includedir = @includedir@
  656. infodir = @infodir@
  657. install_sh = @install_sh@
  658. libdir = @libdir@
  659. libexecdir = @libexecdir@
  660. localedir = @localedir@
  661. localstatedir = @localstatedir@
  662. mandir = @mandir@
  663. mkdir_p = @mkdir_p@
  664. oldincludedir = @oldincludedir@
  665. pdfdir = @pdfdir@
  666. prefix = @prefix@
  667. program_transform_name = @program_transform_name@
  668. psdir = @psdir@
  669. sbindir = @sbindir@
  670. sharedstatedir = @sharedstatedir@
  671. srcdir = @srcdir@
  672. sysconfdir = @sysconfdir@
  673. target = @target@
  674. target_alias = @target_alias@
  675. target_cpu = @target_cpu@
  676. target_os = @target_os@
  677. target_vendor = @target_vendor@
  678. top_build_prefix = @top_build_prefix@
  679. top_builddir = @top_builddir@
  680. top_srcdir = @top_srcdir@
  681. pkgconfigdir = $(libdir)/pkgconfig
  682. pkgconfig_DATA = wayland-egl.pc
  683. AM_CFLAGS = $(DEFINES) \
  684.             $(VISIBILITY_CFLAGS) \
  685.             $(WAYLAND_CFLAGS)
  686.  
  687. lib_LTLIBRARIES = libwayland-egl.la
  688. noinst_HEADERS = wayland-egl-priv.h
  689. libwayland_egl_la_SOURCES = wayland-egl.c
  690. libwayland_egl_la_LDFLAGS = \
  691.         -no-undefined \
  692.         -version-info 1 \
  693.         $(GC_SECTIONS) \
  694.         $(LD_NO_UNDEFINED)
  695.  
  696. TESTS = wayland-egl-symbols-check
  697. EXTRA_DIST = wayland-egl-symbols-check
  698. all: all-am
  699.  
  700. .SUFFIXES:
  701. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  702. $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/install-lib-links.mk $(am__configure_deps)
  703.         @for dep in $?; do \
  704.           case '$(am__configure_deps)' in \
  705.             *$$dep*) \
  706.               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  707.                 && { if test -f $@; then exit 0; else break; fi; }; \
  708.               exit 1;; \
  709.           esac; \
  710.         done; \
  711.         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/egl/wayland/wayland-egl/Makefile'; \
  712.         $(am__cd) $(top_srcdir) && \
  713.           $(AUTOMAKE) --foreign src/egl/wayland/wayland-egl/Makefile
  714. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  715.         @case '$?' in \
  716.           *config.status*) \
  717.             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  718.           *) \
  719.             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  720.             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  721.         esac;
  722. $(top_srcdir)/install-lib-links.mk $(am__empty):
  723.  
  724. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  725.         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  726.  
  727. $(top_srcdir)/configure:  $(am__configure_deps)
  728.         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  729. $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  730.         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  731. $(am__aclocal_m4_deps):
  732. wayland-egl.pc: $(top_builddir)/config.status $(srcdir)/wayland-egl.pc.in
  733.         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  734.  
  735. install-libLTLIBRARIES: $(lib_LTLIBRARIES)
  736.         @$(NORMAL_INSTALL)
  737.         @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
  738.         list2=; for p in $$list; do \
  739.           if test -f $$p; then \
  740.             list2="$$list2 $$p"; \
  741.           else :; fi; \
  742.         done; \
  743.         test -z "$$list2" || { \
  744.           echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
  745.           $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
  746.           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
  747.           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
  748.         }
  749.  
  750. uninstall-libLTLIBRARIES:
  751.         @$(NORMAL_UNINSTALL)
  752.         @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
  753.         for p in $$list; do \
  754.           $(am__strip_dir) \
  755.           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
  756.           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
  757.         done
  758.  
  759. clean-libLTLIBRARIES:
  760.         -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
  761.         @list='$(lib_LTLIBRARIES)'; \
  762.         locs=`for p in $$list; do echo $$p; done | \
  763.               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  764.               sort -u`; \
  765.         test -z "$$locs" || { \
  766.           echo rm -f $${locs}; \
  767.           rm -f $${locs}; \
  768.         }
  769.  
  770. libwayland-egl.la: $(libwayland_egl_la_OBJECTS) $(libwayland_egl_la_DEPENDENCIES) $(EXTRA_libwayland_egl_la_DEPENDENCIES)
  771.         $(AM_V_CCLD)$(libwayland_egl_la_LINK) -rpath $(libdir) $(libwayland_egl_la_OBJECTS) $(libwayland_egl_la_LIBADD) $(LIBS)
  772.  
  773. mostlyclean-compile:
  774.         -rm -f *.$(OBJEXT)
  775.  
  776. distclean-compile:
  777.         -rm -f *.tab.c
  778.  
  779. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wayland-egl.Plo@am__quote@
  780.  
  781. .c.o:
  782. @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  783. @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  784. @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  785. @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  786. @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  787.  
  788. .c.obj:
  789. @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  790. @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  791. @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  792. @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  793. @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  794.  
  795. .c.lo:
  796. @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  797. @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  798. @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  799. @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  800. @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  801.  
  802. mostlyclean-libtool:
  803.         -rm -f *.lo
  804.  
  805. clean-libtool:
  806.         -rm -rf .libs _libs
  807. install-pkgconfigDATA: $(pkgconfig_DATA)
  808.         @$(NORMAL_INSTALL)
  809.         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
  810.         if test -n "$$list"; then \
  811.           echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
  812.           $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
  813.         fi; \
  814.         for p in $$list; do \
  815.           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  816.           echo "$$d$$p"; \
  817.         done | $(am__base_list) | \
  818.         while read files; do \
  819.           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
  820.           $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
  821.         done
  822.  
  823. uninstall-pkgconfigDATA:
  824.         @$(NORMAL_UNINSTALL)
  825.         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
  826.         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  827.         dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
  828.  
  829. ID: $(am__tagged_files)
  830.         $(am__define_uniq_tagged_files); mkid -fID $$unique
  831. tags: tags-am
  832. TAGS: tags
  833.  
  834. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  835.         set x; \
  836.         here=`pwd`; \
  837.         $(am__define_uniq_tagged_files); \
  838.         shift; \
  839.         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  840.           test -n "$$unique" || unique=$$empty_fix; \
  841.           if test $$# -gt 0; then \
  842.             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  843.               "$$@" $$unique; \
  844.           else \
  845.             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  846.               $$unique; \
  847.           fi; \
  848.         fi
  849. ctags: ctags-am
  850.  
  851. CTAGS: ctags
  852. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  853.         $(am__define_uniq_tagged_files); \
  854.         test -z "$(CTAGS_ARGS)$$unique" \
  855.           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  856.              $$unique
  857.  
  858. GTAGS:
  859.         here=`$(am__cd) $(top_builddir) && pwd` \
  860.           && $(am__cd) $(top_srcdir) \
  861.           && gtags -i $(GTAGS_ARGS) "$$here"
  862. cscopelist: cscopelist-am
  863.  
  864. cscopelist-am: $(am__tagged_files)
  865.         list='$(am__tagged_files)'; \
  866.         case "$(srcdir)" in \
  867.           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  868.           *) sdir=$(subdir)/$(srcdir) ;; \
  869.         esac; \
  870.         for i in $$list; do \
  871.           if test -f "$$i"; then \
  872.             echo "$(subdir)/$$i"; \
  873.           else \
  874.             echo "$$sdir/$$i"; \
  875.           fi; \
  876.         done >> $(top_builddir)/cscope.files
  877.  
  878. distclean-tags:
  879.         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  880.  
  881. # Recover from deleted '.trs' file; this should ensure that
  882. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  883. # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  884. # to avoid problems with "make -n".
  885. .log.trs:
  886.         rm -f $< $@
  887.         $(MAKE) $(AM_MAKEFLAGS) $<
  888.  
  889. # Leading 'am--fnord' is there to ensure the list of targets does not
  890. # expand to empty, as could happen e.g. with make check TESTS=''.
  891. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  892. am--force-recheck:
  893.         @:
  894.  
  895. $(TEST_SUITE_LOG): $(TEST_LOGS)
  896.         @$(am__set_TESTS_bases); \
  897.         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  898.         redo_bases=`for i in $$bases; do \
  899.                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  900.                     done`; \
  901.         if test -n "$$redo_bases"; then \
  902.           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  903.           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  904.           if $(am__make_dryrun); then :; else \
  905.             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  906.           fi; \
  907.         fi; \
  908.         if test -n "$$am__remaking_logs"; then \
  909.           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  910.                "recursion detected" >&2; \
  911.         elif test -n "$$redo_logs"; then \
  912.           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  913.         fi; \
  914.         if $(am__make_dryrun); then :; else \
  915.           st=0;  \
  916.           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  917.           for i in $$redo_bases; do \
  918.             test -f $$i.trs && test -r $$i.trs \
  919.               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  920.             test -f $$i.log && test -r $$i.log \
  921.               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  922.           done; \
  923.           test $$st -eq 0 || exit 1; \
  924.         fi
  925.         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  926.         ws='[   ]'; \
  927.         results=`for b in $$bases; do echo $$b.trs; done`; \
  928.         test -n "$$results" || results=/dev/null; \
  929.         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  930.         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  931.         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  932.         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  933.         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  934.         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  935.         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  936.         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  937.           success=true; \
  938.         else \
  939.           success=false; \
  940.         fi; \
  941.         br='==================='; br=$$br$$br$$br$$br; \
  942.         result_count () \
  943.         { \
  944.             if test x"$$1" = x"--maybe-color"; then \
  945.               maybe_colorize=yes; \
  946.             elif test x"$$1" = x"--no-color"; then \
  947.               maybe_colorize=no; \
  948.             else \
  949.               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  950.             fi; \
  951.             shift; \
  952.             desc=$$1 count=$$2; \
  953.             if test $$maybe_colorize = yes && test $$count -gt 0; then \
  954.               color_start=$$3 color_end=$$std; \
  955.             else \
  956.               color_start= color_end=; \
  957.             fi; \
  958.             echo "$${color_start}# $$desc $$count$${color_end}"; \
  959.         }; \
  960.         create_testsuite_report () \
  961.         { \
  962.           result_count $$1 "TOTAL:" $$all   "$$brg"; \
  963.           result_count $$1 "PASS: " $$pass  "$$grn"; \
  964.           result_count $$1 "SKIP: " $$skip  "$$blu"; \
  965.           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  966.           result_count $$1 "FAIL: " $$fail  "$$red"; \
  967.           result_count $$1 "XPASS:" $$xpass "$$red"; \
  968.           result_count $$1 "ERROR:" $$error "$$mgn"; \
  969.         }; \
  970.         {                                                               \
  971.           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
  972.             $(am__rst_title);                                           \
  973.           create_testsuite_report --no-color;                           \
  974.           echo;                                                         \
  975.           echo ".. contents:: :depth: 2";                               \
  976.           echo;                                                         \
  977.           for b in $$bases; do echo $$b; done                           \
  978.             | $(am__create_global_log);                                 \
  979.         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
  980.         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
  981.         if $$success; then                                              \
  982.           col="$$grn";                                                  \
  983.          else                                                           \
  984.           col="$$red";                                                  \
  985.           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
  986.         fi;                                                             \
  987.         echo "$${col}$$br$${std}";                                      \
  988.         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
  989.         echo "$${col}$$br$${std}";                                      \
  990.         create_testsuite_report --maybe-color;                          \
  991.         echo "$$col$$br$$std";                                          \
  992.         if $$success; then :; else                                      \
  993.           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
  994.           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
  995.             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  996.           fi;                                                           \
  997.           echo "$$col$$br$$std";                                        \
  998.         fi;                                                             \
  999.         $$success || exit 1
  1000.  
  1001. check-TESTS:
  1002.         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  1003.         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  1004.         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1005.         @set +e; $(am__set_TESTS_bases); \
  1006.         log_list=`for i in $$bases; do echo $$i.log; done`; \
  1007.         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  1008.         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  1009.         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  1010.         exit $$?;
  1011. recheck: all
  1012.         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1013.         @set +e; $(am__set_TESTS_bases); \
  1014.         bases=`for i in $$bases; do echo $$i; done \
  1015.                  | $(am__list_recheck_tests)` || exit 1; \
  1016.         log_list=`for i in $$bases; do echo $$i.log; done`; \
  1017.         log_list=`echo $$log_list`; \
  1018.         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  1019.                 am__force_recheck=am--force-recheck \
  1020.                 TEST_LOGS="$$log_list"; \
  1021.         exit $$?
  1022. wayland-egl-symbols-check.log: wayland-egl-symbols-check
  1023.         @p='wayland-egl-symbols-check'; \
  1024.         b='wayland-egl-symbols-check'; \
  1025.         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1026.         --log-file $$b.log --trs-file $$b.trs \
  1027.         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1028.         "$$tst" $(AM_TESTS_FD_REDIRECT)
  1029. .test.log:
  1030.         @p='$<'; \
  1031.         $(am__set_b); \
  1032.         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1033.         --log-file $$b.log --trs-file $$b.trs \
  1034.         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1035.         "$$tst" $(AM_TESTS_FD_REDIRECT)
  1036. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  1037. @am__EXEEXT_TRUE@       @p='$<'; \
  1038. @am__EXEEXT_TRUE@       $(am__set_b); \
  1039. @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1040. @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
  1041. @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1042. @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
  1043.  
  1044. distdir: $(DISTFILES)
  1045.         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1046.         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1047.         list='$(DISTFILES)'; \
  1048.           dist_files=`for file in $$list; do echo $$file; done | \
  1049.           sed -e "s|^$$srcdirstrip/||;t" \
  1050.               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1051.         case $$dist_files in \
  1052.           */*) $(MKDIR_P) `echo "$$dist_files" | \
  1053.                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1054.                            sort -u` ;; \
  1055.         esac; \
  1056.         for file in $$dist_files; do \
  1057.           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1058.           if test -d $$d/$$file; then \
  1059.             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1060.             if test -d "$(distdir)/$$file"; then \
  1061.               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1062.             fi; \
  1063.             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1064.               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1065.               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1066.             fi; \
  1067.             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1068.           else \
  1069.             test -f "$(distdir)/$$file" \
  1070.             || cp -p $$d/$$file "$(distdir)/$$file" \
  1071.             || exit 1; \
  1072.           fi; \
  1073.         done
  1074. check-am: all-am
  1075.         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1076. check: check-am
  1077. @BUILD_SHARED_FALSE@all-local:
  1078. @HAVE_COMPAT_SYMLINKS_FALSE@all-local:
  1079. all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
  1080. installdirs:
  1081.         for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)"; do \
  1082.           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1083.         done
  1084. install: install-am
  1085. install-exec: install-exec-am
  1086. install-data: install-data-am
  1087. uninstall: uninstall-am
  1088.  
  1089. install-am: all-am
  1090.         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1091.  
  1092. installcheck: installcheck-am
  1093. install-strip:
  1094.         if test -z '$(STRIP)'; then \
  1095.           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1096.             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1097.               install; \
  1098.         else \
  1099.           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1100.             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1101.             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1102.         fi
  1103. mostlyclean-generic:
  1104.         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1105.         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1106.         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1107.  
  1108. clean-generic:
  1109.  
  1110. distclean-generic:
  1111.         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1112.         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1113.  
  1114. maintainer-clean-generic:
  1115.         @echo "This command is intended for maintainers to use"
  1116.         @echo "it deletes files that may require special tools to rebuild."
  1117. @BUILD_SHARED_FALSE@clean-local:
  1118. @HAVE_COMPAT_SYMLINKS_FALSE@clean-local:
  1119. clean: clean-am
  1120.  
  1121. clean-am: clean-generic clean-libLTLIBRARIES clean-libtool clean-local \
  1122.         mostlyclean-am
  1123.  
  1124. distclean: distclean-am
  1125.         -rm -rf ./$(DEPDIR)
  1126.         -rm -f Makefile
  1127. distclean-am: clean-am distclean-compile distclean-generic \
  1128.         distclean-tags
  1129.  
  1130. dvi: dvi-am
  1131.  
  1132. dvi-am:
  1133.  
  1134. html: html-am
  1135.  
  1136. html-am:
  1137.  
  1138. info: info-am
  1139.  
  1140. info-am:
  1141.  
  1142. install-data-am: install-pkgconfigDATA
  1143.  
  1144. install-dvi: install-dvi-am
  1145.  
  1146. install-dvi-am:
  1147.  
  1148. install-exec-am: install-libLTLIBRARIES
  1149.  
  1150. install-html: install-html-am
  1151.  
  1152. install-html-am:
  1153.  
  1154. install-info: install-info-am
  1155.  
  1156. install-info-am:
  1157.  
  1158. install-man:
  1159.  
  1160. install-pdf: install-pdf-am
  1161.  
  1162. install-pdf-am:
  1163.  
  1164. install-ps: install-ps-am
  1165.  
  1166. install-ps-am:
  1167.  
  1168. installcheck-am:
  1169.  
  1170. maintainer-clean: maintainer-clean-am
  1171.         -rm -rf ./$(DEPDIR)
  1172.         -rm -f Makefile
  1173. maintainer-clean-am: distclean-am maintainer-clean-generic
  1174.  
  1175. mostlyclean: mostlyclean-am
  1176.  
  1177. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1178.         mostlyclean-libtool
  1179.  
  1180. pdf: pdf-am
  1181.  
  1182. pdf-am:
  1183.  
  1184. ps: ps-am
  1185.  
  1186. ps-am:
  1187.  
  1188. uninstall-am: uninstall-libLTLIBRARIES uninstall-pkgconfigDATA
  1189.  
  1190. .MAKE: check-am install-am install-strip
  1191.  
  1192. .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
  1193.         check-am clean clean-generic clean-libLTLIBRARIES \
  1194.         clean-libtool clean-local cscopelist-am ctags ctags-am \
  1195.         distclean distclean-compile distclean-generic \
  1196.         distclean-libtool distclean-tags distdir dvi dvi-am html \
  1197.         html-am info info-am install install-am install-data \
  1198.         install-data-am install-dvi install-dvi-am install-exec \
  1199.         install-exec-am install-html install-html-am install-info \
  1200.         install-info-am install-libLTLIBRARIES install-man install-pdf \
  1201.         install-pdf-am install-pkgconfigDATA install-ps install-ps-am \
  1202.         install-strip installcheck installcheck-am installdirs \
  1203.         maintainer-clean maintainer-clean-generic mostlyclean \
  1204.         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
  1205.         pdf pdf-am ps ps-am recheck tags tags-am uninstall \
  1206.         uninstall-am uninstall-libLTLIBRARIES uninstall-pkgconfigDATA
  1207.  
  1208. .PRECIOUS: Makefile
  1209.  
  1210.  
  1211. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@all-local : .install-mesa-links
  1212.  
  1213. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@.install-mesa-links : $(lib_LTLIBRARIES)
  1214. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@  $(AM_V_GEN)$(MKDIR_P) $(top_builddir)/$(LIB_DIR);       \
  1215. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@  for f in $(join $(addsuffix .libs/,$(dir $(lib_LTLIBRARIES))),$(notdir $(lib_LTLIBRARIES:%.la=%.$(LIB_EXT)*))); do \
  1216. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@          if test -h .libs/$$f; then                      \
  1217. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@                  cp -d $$f $(top_builddir)/$(LIB_DIR);   \
  1218. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@          else                                            \
  1219. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@                  ln -f $$f $(top_builddir)/$(LIB_DIR);   \
  1220. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@          fi;                                             \
  1221. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@  done && touch $@
  1222.  
  1223. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@clean-local:
  1224. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@  for f in $(notdir $(lib_LTLIBRARIES:%.la=.libs/%.$(LIB_EXT)*)); do \
  1225. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@          $(RM) $(top_builddir)/$(LIB_DIR)/$$f;   \
  1226. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@  done;
  1227. @BUILD_SHARED_TRUE@@HAVE_COMPAT_SYMLINKS_TRUE@  $(RM) .install-mesa-links
  1228.  
  1229. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1230. # Otherwise a system limit (for SysV at least) may be exceeded.
  1231. .NOEXPORT:
  1232.